> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/axelar-axl/rest-api/cosmos-base-tendermint-v1beta1-node_info-axelar.md).

# /cosmos/base/tendermint/v1beta1/node\_info - Axelar

Example code for the cosmos/base/tendermint/v1beta1/node\_info REST method. Complete guide on how to use cosmos/base/tendermint/v1beta1/node\_info REST method in GetBlock Web3 documentation.

Returns node and application version info via the Cosmos base service.

## Endpoint

```
GET /cosmos/base/tendermint/v1beta1/node_info
```

## Example

{% code overflow="wrap" %}

```bash
export AKASH_REST=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${AKASH_REST}cosmos/base/tendermint/v1beta1/node_info"
```

{% endcode %}

## Response

```json
{
    "default_node_info": {
        "network": "axelar-dojo-1",
        "version": "0.38.0"
    },
    "application_version": {
        "name": "axelar",
        "version": "0.38.0"
    }
}
```

## Response Fields

| Field                | Type   | Description              |
| -------------------- | ------ | ------------------------ |
| default\_node\_info  | object | Node network and version |
| application\_version | object | Application build info   |

## Use Cases

* **Diagnostics**: Report node/app versions

## Error Handling

| Error                     | Message       | Description                                       |
| ------------------------- | ------------- | ------------------------------------------------- |
| 400 / Bad request         | Bad request   | A parameter was invalid                           |
| 403 / RBAC: access denied | Access denied | The GetBlock access token is missing or incorrect |
